curl --request GET \
--url https://api.dfns.io/allocations/{allocationId}/actions \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "allctn-a-6a3ku-bn8d7-8u5rs1oukojms7k8",
"allocationId": "allctn-6a3ku-bn8d7-8u5rs1oukojms7k8",
"externalId": "external-action-123",
"kind": "Deposit",
"status": "InProgress",
"requester": {
"userId": "us-3v1ag-v6b36-afhm4zy59kjrn1fds",
"tokenId": "ut-341e5-12nj6-9a82ld2hjxqzkpji"
},
"requestBody": {
"kind": "Deposit",
"sourceAsset": {
"kind": "Erc20",
"contract": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
"amount": "500000000"
},
"targetAsset": {
"kind": "Erc20",
"contract": "0x0A7660979A67E4bC51E750C628C8479ff9F458aE",
"amount": "500000000"
},
"slippageBps": 100
},
"dateCreated": "2025-10-09T11:15:33.421Z"
}
],
"nextPageToken": "<string>"
}Retrieve the list of actions for a specific allocation.
curl --request GET \
--url https://api.dfns.io/allocations/{allocationId}/actions \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "allctn-a-6a3ku-bn8d7-8u5rs1oukojms7k8",
"allocationId": "allctn-6a3ku-bn8d7-8u5rs1oukojms7k8",
"externalId": "external-action-123",
"kind": "Deposit",
"status": "InProgress",
"requester": {
"userId": "us-3v1ag-v6b36-afhm4zy59kjrn1fds",
"tokenId": "ut-341e5-12nj6-9a82ld2hjxqzkpji"
},
"requestBody": {
"kind": "Deposit",
"sourceAsset": {
"kind": "Erc20",
"contract": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
"amount": "500000000"
},
"targetAsset": {
"kind": "Erc20",
"contract": "0x0A7660979A67E4bC51E750C628C8479ff9F458aE",
"amount": "500000000"
},
"slippageBps": 100
},
"dateCreated": "2025-10-09T11:15:33.421Z"
}
],
"nextPageToken": "<string>"
}CustomerEmployee)EndUser)Allocations:Read: Always required.Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows
Unique identifier for the allocation investment.
1 - 64Maximum number of items to return.
1 <= x <= 500Opaque token used to retrieve the next page. Returned as nextPageToken from the previous request.
1Was this page helpful?